version: '3'

services:
  ibcornelsen-online-energieausweis:
    build: ./
    command: bun run dev --host
    environment:
      PORT: 3000
      NODE_ENV: "development"
    ports:
      - "3000:3000"
    volumes:
      - ./:/online-energieausweis
      - ./node_modules/@ibcornelsen/ui:/online-energieausweis/node_modules/@ibcornelsen/ui
      - ./node_modules/@ibcornelsen/database:/online-energieausweis/node_modules/@ibcornelsen/database
      - ./node_modules/@ibcornelsen/api:/online-energieausweis/node_modules/@ibcornelsen/api
      - ./node_modules/radix-svelte-icons:/online-energieausweis/node_modules/radix-svelte-icons
      - ../api/persistent:/persistent
  ibcornelsen-api:
    extends:
      file: ../api/docker-compose.yml
      service: ibcornelsen-api
  ibcornelsen-database:
    extends:
      file: ../database/docker-compose.yml
      service: ibcornelsen-database